Get Outbound job by id
curl --request GET \
--url https://api.leen.dev/v1/outbound-jobs/{job_id} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/outbound-jobs/{job_id}"
headers = {
"X-CONNECTION-ID": "<api-key>",
"X-API-KEY": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-CONNECTION-ID': '<api-key>', 'X-API-KEY': '<api-key>'}
};
fetch('https://api.leen.dev/v1/outbound-jobs/{job_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"vendor": "<string>",
"task_name": "<string>",
"status": "<string>",
"started_at": "2023-11-07T05:31:56Z",
"finished_at": "2023-11-07T05:31:56Z",
"failure_reason": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}Outbound Jobs
Get Outbound job by id
Get outbound job by id.
GET
/
outbound-jobs
/
{job_id}
Get Outbound job by id
Path Parameters
Response
Successful Response
Response Model for returning Job Details via an API Endpoint
Leen's UUID for the Job
Vendor Name
Task Name
Job Status
Job Started at
Job Finished at
Job Failure Reason with detailed error information
⌘I